getPurchaseLinePivot
READGet purchase line pivot.
POST /api/v1/accounting/getPurchaseLinePivot
curl -X POST '<your-host>/api/v1/accounting/getPurchaseLinePivot' \
-H 'Authorization: Bearer <api-key>' \
-H 'Content-Type: application/json' \
-d '{
"startDate": "string",
"endDate": "string",
"state": "string"
}'Response
{
"groups": [
{
"rowValue1Id": "string",
"rowValue2Id": "string",
"columnKey": "string",
"amount": 0,
"quantity": 0,
"lineCount": 0
}
],
"columnKeys": [
"string"
],
"hasMore": true,
"valueNames": {
"…": "string"
}
}Parameters
ParameterType
Input schema
schema
{
"type": "object",
"properties": {
"startDate": {
"type": "string"
},
"endDate": {
"type": "string"
},
"periodEnds": {
"type": "array",
"items": {
"type": "string"
}
},
"state": {}
},
"required": [
"startDate",
"endDate",
"state"
]
}